Skip to main content
GET
/
projects
/
{project_reference}
/
tools
/
{tool_id}
Get Tool
curl --request GET \
  --url https://api.veryfront.com/projects/{project_reference}/tools/{tool_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "name": "<string>",
  "description": "<string>",
  "source_path": "<string>",
  "input_schema": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

project_reference
string
required
tool_id
string
required

Tool identifier

Query Parameters

runtime_target_kind
enum<string> | null
Available options:
production,
environment,
preview_branch
target_environment_id
string<uuid> | null
target_branch_id
string<uuid> | null
source_target_kind
enum<string>
Available options:
project,
production,
environment,
preview_branch

Response

Discovered project tool

id
string
required
name
string
required
description
string | null
required
source_path
string
required
input_schema
object
required